Package org.oasis_open.docs.ws_calendar.ns.soap

# Class TimezoneType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.TimezoneType

public class TimezoneType extends Object
The timezone XML element specifies that for a given calendaring REPORT request, the server MUST rely on the specified VTIMEZONE component instead of the calendar-timezone property of the calendar collection, in which the calendar object resource is contained to resolve "date" values and "date with local time" values (i.e., floating time) to "date with UTC time" values. The server will require this information to determine if a calendar component scheduled with "date" values or "date with local time" values intersects a timeRange specified in a calendar-query REPORT. Note: The iCalendar data embedded within the timezone XML element MUST follow the standard XML character data encoding rules, including use of <, >, & etc. entity encoding or the use of a ... construct. In the later case, the iCalendar data cannot contain the character sequence ']' + ']' + '>', which is the end delimiter for the CDATA section.

Java class for TimezoneType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TimezoneType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
         </extension>
       </simpleContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimezoneType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    protected String value

- ## Constructor Details

  - ### TimezoneType

    public TimezoneType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`